0

Build fails after upgrading to Appcode 2.5 (still builds in xcode)

Hi,

After upgrading to appcode 2.5, I can no longer get my app to build (However it still builds fine in xcode). The build log shows that it's not able to find several common libraries.

"ld: in '/Developer/SDKs/MacOSX10.5.sdk/usr/lib/libobjc.A.dylib', missing required architecture armv7 in file /Developer/SDKs/MacOSX10.5.sdk/usr/lib/libobjc.A.dylib (4 slices) for architecture armv7
clang: error: linker command failed with exit code 1 (use -v to see invocation)"

It seems like it is not looking in the right place for the libs (or just using the wrong version/type). Is there some project setting that I need to update?

- I have verfied the xcode version in Appcode->Preferences
- Done a clean and a clean build folder
- Made sure I have the latest xcode

Thanks

4 comments

Please sign in to leave a comment.